Page MenuHomePhabricator

VisualEditor: Adding nowiki tags in unrelated edit
Closed, ResolvedPublic0 Estimated Story Points

Description

https://fr.wikipedia.org/w/index.php?title=M%C3%A9thyl%C3%A8nedioxypyroval%C3%A9rone&curid=7265462&diff=105673189&oldid=102426146

If you change anything in the template, nowiki tags will be added into the IUPAC name field. Also happens for the same article in other languages where the name is written in the same way (i.e. English or Spanish).


Version: unspecified
Severity: normal

Details

Reference
bz68511

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:30 AM
bzimport added a project: VisualEditor.
bzimport set Reference to bz68511.
Elitre created this task.Jul 24 2014, 3:42 PM

Isolated brackets (with no letter nearby) in a template parameter (compulsory) are over-protected by nowiki tags on any change in the template

see : https://test2.wikipedia.org/w/index.php?title=Drong-1&diff=101272&oldid=101271

Safari - MAC OS/X

This is slightly aggressive <nowiki>ing by Parsoid – looks to still be an issue. Is it a part of a wider task?

Jdforrester-WMF triaged this task as Medium priority.Jan 16 2015, 3:20 AM
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.
Jdforrester-WMF set Security to None.
ssastry moved this task from Needs Triage to html2wt on the Parsoid board.Jan 16 2015, 10:22 PM
marcoil moved this task from html2wt to Needs Triage on the Parsoid board.Feb 13 2015, 12:46 PM
gpaumier added a subscriber: gpaumier.

Nominating as blocker since it's a pretty nasty issue. I'm not sure if it's still happening but we should make sure.

ssastry moved this task from Needs Triage to In Progress on the Parsoid board.Apr 28 2015, 6:17 PM
marcoil claimed this task.Apr 30 2015, 4:04 PM
marcoil added a subscriber: marcoil.

Investigating…

marcoil closed this task as Resolved.May 1 2015, 10:05 AM

I'm unable to reproduce. I suppose this was fixed in the round of nowiki work last quarter. Please reopen if seen again.